python-pyquery_1.2.9-2_all.deb


Advertisement

Description

python-pyquery - jQuery-like library for python 2

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pyquery
Package version 1.2.9
Package release 2
Package architecture all
Package type deb
Installed size 99 B
Download size 17.89 KB
Official Mirror archive.ubuntu.com
pyquery allows you to make jQuery queries on XML documents. The API is as
similar to jQuery as possible. pyquery uses lxml for fast XML and HTML
manipulation.
This package contains the module for Python 2.

Alternatives

Package Version Architecture Repository
python-pyquery_1.2.9-2_all.deb 1.2.9 all Ubuntu Universe
python-pyquery - - -

Requires

Name Value
python << 2.8
python >= 2.7
python-cssselect -
python-lxml -
python-webob -

Provides

Name Value
python2.7-pyquery -

Download

Type URL
Binary Package python-pyquery_1.2.9-2_all.deb
Source Package pyquery

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pyquery deb package:
    # sudo apt-get install python-pyquery

Files

Path
/usr/lib/python2.7/dist-packages/pyquery/__init__.py
/usr/lib/python2.7/dist-packages/pyquery/ajax.py
/usr/lib/python2.7/dist-packages/pyquery/cssselectpatch.py
/usr/lib/python2.7/dist-packages/pyquery/openers.py
/usr/lib/python2.7/dist-packages/pyquery/pyquery.py
/usr/lib/python2.7/dist-packages/pyquery/rules.py
/usr/lib/python2.7/dist-packages/pyquery-1.2.9.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pyquery-1.2.9.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pyquery-1.2.9.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/pyquery-1.2.9.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/pyquery-1.2.9.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pyquery-1.2.9.egg-info/top_level.txt
/usr/share/doc/python-pyquery/CHANGES.rst
/usr/share/doc/python-pyquery/README.rst
/usr/share/doc/python-pyquery/changelog.Debian.gz
/usr/share/doc/python-pyquery/copyright

Changelog

2015-11-29 - TANIGUCHI Takaki <takaki@debian.org>
pyquery (1.2.9-2) unstable; urgency=medium
* debian/control: Add python-setuptools to Build-Depends. (Closes: #806476)
2015-11-25 - TANIGUCHI Takaki <takaki@debian.org>
pyquery (1.2.9-1) unstable; urgency=medium
[ Jonathan Wiltshire ]
* Update debian/watch
[ TANIGUCHI Takaki ]
* New upstream release (Closes: #737548)
+ Fix incompatible with python-cssselect 0.9.1 (Closes: #791590)
* Support python3 (Closes: #782930)
* debian/rules: Skip test.
* debian/control:
+ Bump Standards-Version 3.9.6.
+ Update debhelper version.
+ Add python3 to Build-Depends
2013-06-11 - Jonathan Wiltshire <jmw@debian.org>
pyquery (1.2.4-1) unstable; urgency=low
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Jonathan Wiltshire ]
* New upstream release
* Install README.rst, not README.txt
* Standards-version 3.9.4 (no changes)
* Debhelper compat level 9
2012-05-09 - TANIGUCHI Takaki <takaki@debian.org>
pyquery (1.2.1-1) unstable; urgency=low
* New upstream release
* Standards version 3.9.3
* debian/source/options: Ignore egg-info changes. (Closes: #671169)
2012-01-21 - Jonathan Wiltshire <jmw@debian.org>
pyquery (1.1.1-1) unstable; urgency=low
* New upstream release
2011-08-10 - Jonathan Wiltshire <jmw@debian.org>
pyquery (1.0-1) unstable; urgency=low
* New upstream release
* Use dh_installdocs to install documentation, not dh_install
* Build with dh_python2
* Add CHANGES.txt to documentation
2011-04-16 - Jonathan Wiltshire <jmw@debian.org>
pyquery (0.6.1-2) unstable; urgency=low
* Rebuild for Python 2.7 as supported version
* Update my email address, remove DMUA field
* Standards version 3.9.2
* debian/control: Use X-Python-Version only
2010-07-20 - Jonathan Wiltshire <debian@jwiltshire.org.uk>
pyquery (0.6.1-1) unstable; urgency=low
* New upstream release:
- include upstream changelog (closes: #573274)
* debian/python-pyquery.install: Install README.txt to
/usr/share/doc/python-pyquery
2010-07-18 - Jonathan Wiltshire <debian@jwiltshire.org.uk>
pyquery (0.6-1) unstable; urgency=low
* New upstream release.
* Set X{S,B}-Python-Version in debian/control; remove debian/pyversions
* Add Provides for python-pyquery
* Standards version 3.9.0, no changes
* debian/source/format: Declare format 3.0 (quilt)
* debian/copyright: Update license information
2010-03-10 - Jonathan Wiltshire <debian@jwiltshire.org.uk>
pyquery (0.5-1) unstable; urgency=low
* New upstream release.
* Standards version 3.8.4, no changes

See Also

Package Description
python-pyrad_2.0-3_all.deb Python module for creating and decoding RADIUS packets (Python 2)
python-pyramid-beaker_0.6.1+ds1-1_all.deb Beaker sessioning bindings for Pyramid
python-pyramid-tm_0.5-1_all.deb Transaction management for the Pyramid web framework
python-pyramid-zcml_1.0.0-1_all.deb Declarative configuration for the Pyramid web framework
python-pyramid_1.6+dfsg-1_all.deb Pyramid web application framework, a Pylons project
python-pyregion_1.1.4-2build1_amd64.deb Python module to parse ds9 region files (Python 2)
python-pyresample-doc_1.1.6-1_all.deb Resampling of remote sensing data in Python (documentation)
python-pyresample-test_1.1.6-1_all.deb Resampling of remote sensing data in Python (test suite)
python-pyresample_1.1.6-1_all.deb Resampling of remote sensing data in Python 2
python-pyroma_2.0.0b2-1_all.deb Python packaging quality checker
python-pyroute2_0.3.5-1_all.deb Python Netlink library
python-pyrrd_0.1.0-2_all.deb object-oriented Python interface for RRD
python-pyrss2gen_1.1-1_all.deb interface for generating RSS 2.0 feeds
python-pyruntest_0.1+13.10.20130702-0ubuntu3_all.deb Simple python test-runner
python-pysam-tests_0.7.7-1ubuntu1_all.deb interface for the SAM/BAM sequence alignment and mapping format (test data)
Advertisement
Advertisement